Summary:	The zlib compression and decompression library.
Name:		zlib
Group:		System Environment/Libraries
License:	BSD
Version:	1.2.3
Release:	3
Source0:	http://www.gzip.org/zlib/zlib-%{version}.tar.gz
Patch0:		zlib-1.2.1-glibc-gd-1.diff
Patch1:		zlib-1.1.3-Makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data.  This version of the library supports only one
compression method (deflation), but other algorithms may be added
later, which will have the same stream interface.  The zlib library is
used by many different system programs.

%files
  %defattr(-,root,root)
  %doc README ChangeLog algorithm.txt

  %attr(0555,root,root)	%{_libdir}/libz.so.1
  %attr(0555,root,root)	%{_libdir}/libz.so.%{version}

%package devel
Summary:	Header files and libraries for zlib development.
Group:          Development/Libraries
Requires:	zlib = %{version}

%description devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.

%files devel
  %defattr(-,root,root)
  %doc %{_mandir}/man3/zlib.3*

  %attr(0444,root,root)	%{_includedir}/*
  %attr(0444,root,root)	%{_libdir}/libz.a
  %attr(0555,root,root)	%{_libdir}/libz.so

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
  CFLAGS="$RPM_OPT_FLAGS -fPIC" ./configure --shared --prefix=%{_prefix}
  make %{?_smp_mflags}

  # now build the static lib
  CFLAGS="$RPM_OPT_FLAGS -fPIC" ./configure --prefix=%{_prefix}
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_prefix}

  ./configure --shared --prefix=%{_prefix}
  %makeinstall

  ./configure --prefix=%{_prefix}
  %makeinstall

  install zutil.h $RPM_BUILD_ROOT/%{_includedir}/zutil.h
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
  install zlib.3 $RPM_BUILD_ROOT%{_mandir}/man3

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 1.2.3, Release 3
  - Upgrade

* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.2, Release 2
  - x86_64 support (build PIC libs).

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.2, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
